Skip to content
desktop app for teaching
JavaScript HTML Vue CSS Python
Branch: master
Clone or download
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
build
docs
src
.eslintrc.js
.gitignore
LICENSE
README.md
debian.json
documentation.md
npm-debug.log
package.json
webpack.config.js
yarn-error.log
yarn.lock

README.md

Multimodal

Desktop app for teaching

Multimodal is under active development (v0.2.0)

About

Please visit the Multimodal website at https://multimodal.cc to learn more about the project.

How to

  • Create a new subject by clicking the create button at the bottom of the main board.
  • Once you've given it a name, a description and a location to save the file, the subject will automatically create a new topic within that subject.
  • Click on the edit button at the bottom of the topic view (or press e) to start editiing your content. All text fields can now be changed.
  • Click on the + and - buttons in the panel on the left to add new pages or concepts (groupings of pages).
  • Click on present (or press ESC) to go back to presenting mode
  • Double-click anywhere and start typing to add a new note.
  • Click on draw and drag your mouse cursor to start drawing (experimental)
  • Click save to save the session.
  • Click exit to exit back to the main board.

Features

  • Seamless editing of notes during class time - take into account what students discuss, rather than sticking to static slides
  • Drawing on the screen as if it were a white board - no more pacing back and forth between whiteboard and laptop
  • Hyperlinking of slides - refer to content that was previously discussed
  • Semantic structure adapted to class preparation and class reviews - provide more context than bare presenter notes
  • HTML and PDF export with different structures and layouts - export a simple webpage or a whole textbook

Install

User

Coming soon. Subscribe to the newsletter to receive the latest updates.

Developer

Requirements

  • NodeJS v8.11 or higher
  • (recommended) yarn v.1.17 or higher

Steps

  • git clone https://github.com/periode/multimodal.git
  • cd multimodal
  • yarn or npm install
  • npm run start
You can’t perform that action at this time.